classification
Title: Implement thr UTF8 command (RFC 6856) in poplib.
Type: enhancement Stage: resolved
Components: email Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: barry, jesstess, pitrou, python-dev, r.david.murray, zvyn
Priority: normal Keywords: patch

Created on 2014-06-18 23:14 by zvyn, last changed 2015-05-16 19:07 by r.david.murray. This issue is now closed.

Files
File name Uploaded Description Edit
poputf8.patch zvyn, 2014-06-18 23:19 review
poputf8-v2.patch zvyn, 2014-07-02 01:25 review
Messages (4)
msg220956 - (view) Author: Milan Oberkirch (zvyn) * Date: 2014-06-18 23:14
The poplib classes already use Unicode internally (for everything but capability names). So to implement the UTF8 part of RFC 6856 we only need to enable the user to switch to UTF-8 mode if supported by the server.
msg222064 - (view) Author: Milan Oberkirch (zvyn) * Date: 2014-07-02 01:25
I got the Exception policy of the POP3 class wrong (ignore my review comment on that) and needed to add 'UTF8' to the list of optional commands.
msg243359 - (view) Author: Roundup Robot (python-dev) Date: 2015-05-16 19:06
New changeset 6ea762200e27 by R David Murray in branch 'default':
#21804: Add RFC 6856 (UTF8) support to poplib.
https://hg.python.org/cpython/rev/6ea762200e27
msg243360 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-05-16 19:07
Thanks, Milan.
History
Date User Action Args
2015-05-16 19:07:32r.david.murraysetstatus: open -> closed
resolution: fixed
messages: + msg243360

stage: commit review -> resolved
2015-05-16 19:06:39python-devsetnosy: + python-dev
messages: + msg243359
2015-05-16 18:19:14r.david.murraysettype: enhancement
stage: commit review
2014-07-02 01:25:30zvynsetfiles: + poputf8-v2.patch

messages: + msg222064
2014-06-18 23:19:19zvynsetfiles: + poputf8.patch
2014-06-18 23:19:04zvynsetfiles: - poputf8.patch
2014-06-18 23:14:44zvyncreate